Hi,
As for as my knowledge is concerned, 2d detail assosiated from 3d part will depend on 3d part. If you make any changes on 3d part, same will be projected in 2d detail. You said that, you have loaded new 3d part.what exactly have you done? Please let me know clearly.
Thanks
bye
Naveen
Hi,it may be the problem here in this line "Set reference1 = part1.CreateReferenceFromName("")" or "Set sketch1 = sketches1.Item("Sketch.1")",check all the names u specified in this script matches with those you have in part.
bye
Naveen
Hi FBM and coughcool,that was only main script,thats why u got errors,
complete script is:
Sub CATMain()
Set DrawingDocument1 = CATIA.ActiveDocument
Set DrawingSheets1 = DrawingDocument1.Sheets
Set DrawingSheet1 = DrawingSheets1.Item("Sheet.2") 'here enter the name of sheet on which...
Hi Ninpoikan,I have also got this problem once,but when I have closed catia and restarted my system,this message dint came,I donno the reason for this message but u better try to restart ur sys.I hope it works for u,
bye
Naveen
Hi FBM,u can rather use a macro to change dimensions unit as inches,coz changing dimension format manually is time taking than running macro,u can try this macro for this dimension unit change to inches:
Set mydimension = Drawingview.Dimensions.Item(1)
Set Dimvalue = mydimension.GetValue...
Hi Alex Laurenceau,we can set sheet height and width as Tpale said manually,and we can set itz format by macro also as Alex said:
macro is like this
Set DrawingDocument1 = CATIA.ActiveDocument
Set DrawingSheets1 = DrawingDocument1.Sheets
Set DrawingSheet1 =...
Hey dean,u wanto set thickness of aline with script r what?if its with script?heres the script:
Set selection1 = DrawingDocument1.Selection
Selection1.Search "Name = Line.1" 'put the name of the line for which u want to change thickness'
Set vispropset1 = selection1.visproperties...
hey Amit,u can also createline with scripting and u can change type of it,
Set Fact2D = drawingview1.Factory2D
set line2D = Fact2D.createline(X coordinate of 1st pt,y cor of 1st point,x coord of 2nd pt,y coord of 2nd pt)
set line2D = Fact2D.createline(10,10,20,20)
line2D.Name =...
hi Amit,
u can change linetype by scripting as follows:
selection1.search "Name = Line.1" 'for example,u can search and select line depending on ur requirement'
set vispropset1 = selection1.visproperties
vispropset1.setreallinetype 1,1
selection1.clear()
Hope it works for u
bye...
hi all,how can I change symbol of a point in drawingsheet,for example I have a symbol of small dott for a point and I have to select rectangle symbol for the point so that I can view that point clearly as I have so many sheets to change,so I just want to know how is it possible by catscript?,I...
hi all,I am having CATIA R12SP3,and I am trying for a script which can change color of rectpattern created from a threaded hole,I am succesfull in that but for 1 rectpattern at a time,I have introduced 'i' and tried to define all rectpatterns at once as
number = selection.count
For i = 1 to...
hi,
Sub CATMain()
Set PartDocument1 = CATIA.ActiveDocument
Set Part1 = PartDocument1.Part
Set bodies1 = Part1.bodies
Set body1 = bodies1.Item("PartBody")
Set Shapes1 = body1.Shapes
Set hole1 = Shapes1.Item("Hole.1")
hole1.name = "Test"
End Sub
it works...